Bug 162074 - Web Inspector: adopt Object.awaitEvent in LayoutTests/inspector/model
Summary: Web Inspector: adopt Object.awaitEvent in LayoutTests/inspector/model
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: 161634
  Show dependency treegraph
 
Reported: 2016-09-16 10:51 PDT by Devin Rousso
Modified: 2016-09-20 10:31 PDT (History)
7 users (show)

See Also:


Attachments
Patch (17.90 KB, patch)
2016-09-16 16:40 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (17.94 KB, patch)
2016-09-19 16:23 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Rousso 2016-09-16 10:51:02 PDT
.
Comment 1 Radar WebKit Bug Importer 2016-09-16 10:51:23 PDT
<rdar://problem/28340084>
Comment 2 Devin Rousso 2016-09-16 16:40:14 PDT
Created attachment 289135 [details]
Patch
Comment 3 Brian Burg 2016-09-19 06:59:03 PDT
Comment on attachment 289135 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=289135&action=review

Please post a new version that reverts setTimeout changes for EWS. then I will r+ it.

> LayoutTests/inspector/model/scope-chain-node.html:77
> +            InspectorTest.evaluateInPage("testAllScopes()");

Please keep this as a setTimeout. Joe says it is necessary to do this whenever we rely on stack traces not including stack frames from InspectorTest code.

> LayoutTests/inspector/model/scope-chain-node.html:97
> +            InspectorTest.evaluateInPage("testFunctionNameScope1()");

See above.

> LayoutTests/inspector/model/scope-chain-node.html:117
> +            InspectorTest.evaluateInPage("testFunctionNameScope2()");

Ditto.

> LayoutTests/inspector/model/scope-chain-node.html:167
> +            InspectorTest.evaluateInPage("testBlockScopes()");

Ditto.
Comment 4 Devin Rousso 2016-09-19 16:23:04 PDT
Created attachment 289274 [details]
Patch
Comment 5 Brian Burg 2016-09-20 03:13:06 PDT
Comment on attachment 289274 [details]
Patch

r=me
Comment 6 WebKit Commit Bot 2016-09-20 10:31:04 PDT
Comment on attachment 289274 [details]
Patch

Clearing flags on attachment: 289274

Committed r206152: <http://trac.webkit.org/changeset/206152>
Comment 7 WebKit Commit Bot 2016-09-20 10:31:08 PDT
All reviewed patches have been landed.  Closing bug.